Subject: [SIP] SIP Event

From: Deshon Boynes <[email-masked]>
Date: Wed, 14 Mar 2001 11:09:42 -0600

Good morning-
I would like to inform you all of an upcoming SIP event. The details for the
event is as follows:
Event Name: SIP Applications & Services
When: April 18th - 20th, 2001
Where: Washington, D.C.
Event Website: www.IT-TelecomSolutions.com
<http://www.IT-TelecomSolutions.com>
Contact: Ann Pendleton
Phone: 312-894-6418
* Thank you for your consideration!

___________________________________
De'Shon A. Boynes
Marketing Associate
Marcus Evans-IT/Telecom Division
www.IT-TelecomSolutions.com
v 312.894.6313
f 312.894.6390

 -----Original Message-----
From: 	Jonathan Rosenberg [mailto:[email-masked]] 
Sent:	Wednesday, March 14, 2001 10:54 AM
To:	'Fairlie-Cuninghame, Robert'; [email-masked]';
Jonathan Rosenberg
Cc:	[email-masked]'
Subject:	[SIP] RE: SCTP as transport for SIP

-----Original Message-----
>From: Fairlie-Cuninghame, Robert [mailto:[email-masked]]
>Sent: Thursday, March 08, 2001 9:43 AM
>To: [email-masked]'; [email-masked]'
>Cc: [email-masked]'
>Subject: SCTP as transport for SIP
>
>
>Hi there, 
>I have a query with your "SCTP as transport for SIP" draft
(http://www.cs.columbia.edu/
>~hgs/sip/drafts/draft-rosenberg-sip-sctp-00.txt),
>
>For instance: 
>             If the transport is SCTP, the entity SHOULD look for 
>             exising open SCTP connections to the given IP address and 
>             port. The number of streams within the connection, and the 
>             mapping of SIP requests to streams, are at the discretion 
>             of the entity. However, it is RECOMMENDED that some kind of 
>             stateless hash be used so that requests for the same call 
>             all be mapped into the same stream. If no SCTP connection 
>             is established, one is opened and the request sent over it. 
>
>The draft says that the mapping of the SIP requests to streams is up to the
entity. How can 
>this be? A SIP server would normally be only listening to particular
streams to receive SIP 
>requests, the other streams may be unused or used for some other purpose.
The "lookup 
>method" (SRV or whatever) must surely specify an IP address, SCTP port and
stream number to 
>locate the SIP service via SCTP? 

I don't think so. I had thought (perhaps mistakenly) that streams were
opened and closed as part of signaling within SCTP, and that these
parameters did not need to be signaled as part of SIP. A quick glance at
rfc2960 seems to support this claim, since the number of streams opened
appears to be signaled as part of the initialization process. Can you point
me to a section of rfc2960 which would indicate that a stream ID must be
signaled out of band in order to setup an SCTP association?

>What is more, due to the unidirectional nature of the SCTP streams, surely
the reverse 
>stream must be specified to the endpoint in the Via (or elsewhere). [I
don't think a 
>reverse DNS SRV lookup could be guaranteed - the UAC may not even have a
hostname.]

Same argument as above; I don't think so. I do not believe there is a notion
of explicitly listening on a stream. A SIP UAC which sends a request over
SCTP, and then sets up 10 streams, will be able to get a response on any one
of them. Again, I could be mistaken and would welcome comment or input from
real SCTP experts.

>I think there are quite a few consideration that SCTP raises above and
beyond other 
>transport protocols (even when you ignore the issues related to SCTP
association 
>establishment). I'll be interested to hear your opinions.

I'm not an SCTP expert. I'd welcome a draft from someone who is that could
comment on SIP issues with SCTP. Our SIP over SCTP draft has been around for
some time, and did not receive any significant comments from the SCTP
community.

-Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.